Description

Hi there,

| am analyzing data from Waves 7,9 and 11 of UKHLS and would like to create a variable to denote if someone has a health
condition. | tried the following, assuming for now all the missing values are given a value of 0. However, the values for wave 11 are
odd. This may be due to the changes in the questions on health conditions in Wave 10. Which variables should | use to adequately
capture individuals who have a health condition across these waves? If this is not possible, then which variables can | use to capture

individuals who ever had a health condition across these waves?

gen hcond_main =0

replace hcond_main = 1 if hconds01 1 | hcondn1 1
replace hcond_main = 1 if hconds02 1 | hcondn2 1
replace hcond_main = 1 if hconds03 1 | hcondn3 1
replace hcond_main = 1 if hconds04 1 | hcondn4 1
replace hcond_main = 1 if hconds05 1 | hcondn5 1
replace hcond_main = 1 if hconds06 1 | hcondn6 1
replace hcond_main = 1 if hconds07 1 | hcondn7 1
replace hcond_main = 1 if hconds08 1 | hcondn8 1
replace hcond_main = 1 if hconds09 1 | hcondn9 1
replace hcond_main = 1 if hconds10 1 | hcondn10 1
replace hcond_main = 1 if hconds11 1 | hcondn11 1
replace hcond_main = 1 if hconds12 1 | hcondn12 1
replace hcond_main = 1 if hconds13 1 | hcondn13 1
replace hcond_main = 1 if hconds14 1 | hcondn14 1
replace hcond_main = 1 if hconds15 1 | hcondn15 1
replace hcond_main = 1 if hconds16 1 | hcondn16 1

by pidp (wave), sort: replace hcond_main = hcond_main[_n-1] if missing(hcond_main)
by pidp (wave), sort: replace hcond_main = hcond_main[_n+1] if missing(hcond_main)

Thanks in advance for your help.

Best wishes
Karen

History

#1 - 02/23/2023 12:35 PM - Understanding Society User Support Team
- File FAQ_HCONDS_Changes_Waves_Description _20230214.pdf added
- File FAQ_HCOND_Changes_Waves_Table_20230214.xIsx added

- Status changed from New to Feedback

- % Done changed from 0 to 50

hello Karen,

You are right the health conditions quesitons have changed. | am attaching two files that we have prepared to show how these questions have
changed across waves. Please take a look and let us know if this answers your question, or if you need more information.
As we are developing this, your feedback will be very helpful. Once finalised this will be available from our FAQ page.

Thanks,
Alita

#2 - 02/24/2023 08:49 AM - Understanding Society User Support Team
- Category set to Questionnaire content

#3 - 02/27/2023 03:54 PM - Karen Arulsamy
Hi Alita,

Is it correct to use the responses in hconds (new entrants) and hcondns (continuing sample members) for Waves 7-9 and hconds (new entrants) and
hcondcode (continuing sample members) for Waves 10-12?

Many thanks
Karen

#4 - 02/28/2023 06:08 AM - Karen Arulsamy

Hi Alita,
| thought | might also provide the code below. Tt appears that there is something wrong with this coding as less than 1 per cent of respondents report
having a condition in Wave 10 onwards.

gen hcond_main =0

replace hcond_main = 1 if hconds01
replace hcond_main = 1 if hconds02
replace hcond_main = 1 if hconds03
replace hcond_main = 1 if hconds04
replace hcond_main = 1 if hconds05
replace hcond_main = 1 if hconds06
replace hcond_main = 1 if hconds07 1 | hcondns7 1 & wave < 10
replace hcond_main = 1 if hconds08 1 | hcondns8 1 & wave < 10

1| hcondns1 1 & wave < 10
1
1
1
1
1
1
1
replace hcond_main = 1 if hconds09 1 | hcondns9 1 & wave < 10
1
1
1
1
1
1
1

| hcondns2 1 & wave < 10
| hcondns3 1 & wave < 10
| hcondns4 1 & wave < 10
| hcondns5 1 & wave < 10
| hcondns6é 1 & wave < 10

replace hcond_main = 1 if hconds10 1 | hcondns10 1 & wave < 10
replace hcond_main = 1 if hconds11 1 | hcondns11 1 & wave < 10
replace hcond_main = 1 if hconds12 1 | hcondns12 1 & wave < 10
replace hcond_main = 1 if hconds13 1 | hcondns13 1 & wave < 10
replace hcond_main = 1 if hconds14 1 | hcondn14 1 & wave < 10
replace hcond_main = 1 if hconds15 1 | hcondn15 1 & wave < 10
replace hcond_main = 1 if hconds16 1 & wave < 10

hcondcode1 1 & wave > 9
hcondcode23 1 | hcondcode24 1 | hcondcode25 1 & wave > 9
hcondcode3 1 & wave > 9

replace hcond_main = 1 if hconds01 1 |
|
|
| hcondcode4 1 & wave > 9
|
|
|

replace hcond_main = 1 if hconds02
replace hcond_main = 1 if hconds03
replace hcond_main = 1 if hconds04
replace hcond_main = 1 if hconds05
replace hcond_main = 1 if hconds06

1
1
1
1
1 | hcondcode5 1 & wave > 9
1
replace hcond_main = 1 if hconds07 1
1
1
1
1
1
1

hcondcode6 1 & wave > 9
hcondcode7 1 & wave > 9
| hcondcode8 1 & wave > 9
& wave > 9
| hcondcode10 1 & wave > 9
| hcondcode11 1 & wave > 9
| hcondcode12 1 & wave > 9
| hcondcode26 1 | hcondcode27 1| hcondcode28 1 /// | hcondcode29 1 | hcondcode30 1 | hcondcode31 1 |

replace hcond_main = 1 if hconds08
replace hcond_main = 1 if hconds09
replace hcond_main = 1 if hconds10
replace hcond_main = 1 if hconds11
replace hcond_main = 1 if hconds12
replace hcond_main = 1 if hconds13
hcondcode32 1 & wave > 9

replace hcond_main = 1 if hconds14 1 | hcondcode33 1 | hcondcode34 1 | hcondcode35 1 /// | hcondcode36 1 & wave > 9
replace hcond_main = 1 if hconds15 1 | hcondcode15 1 & wave > 9

replace hcond_main = 1 if hconds16 1 | hcondcode16 == 1 & wave > 9

Many thanks
Karen

#5 - 03/01/2023 02:35 PM - Understanding Society User Support Team

- Private changed from Yes to No

Hello Karen if you want to create a variable denoting if someone has a health condition, meaning they still have it when the wave was collected, you
would need to use “the still has/have” plus the new health condition type variables on each wave, which are HCONDS, HCONDN, HCONDNS,
HCONDNEW and HCONDP. Combine W_HCONDNO and W_HCONDNS to see if the illness is still diagnosed and use the previous code sent for
HCONDNO value labels. Combine W_PREVHCONDNO and W_HCONDP to see if the iliness is still diagnosed and use the previous code sent for
PREVHCONDNO value labels.

On the other hand, if you want to create a variable denoting if someone has or has had a health condition, meaning they have been diagnosed no
matter when and could still have it, you should use variables for new entrants and continuing members (you won’t use “the still has/have” variables).
These are HCOND, HCONDN, HCONDCODE, HCONDNO, HCONDNCODE AND HCONDNEW.

Hope this helps

Best wishes
Roberto Cavazos
#6 - 11/30/2023 12:52 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
